apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: social-login-app-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
spec:
  rules:
  - host: "client.devops.com"
    http:
      paths:
      - pathType: Prefix
        path: /
        backend:
          service:
            name: front-svc
            port:
              number: 80
  - host: "server.devops.com"
    http:
      paths:
      - pathType: Prefix
        path: /api/
        backend:
          service:
            name: back-svc
            port:
              number: 8080
      - pathType: Prefix
        path: /oauth2/
        backend:
          service:
            name: back-svc 
            port:
              number: 8080